<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>
<%@ page import="com.softslate.commerce.businessobjects.core.User" %>
<%@ page import="com.softslate.commerce.businessobjects.order.Order" %>
<%@ page import="com.softslate.commerce.businessobjects.order.OrderDelivery" %>
<%@ page import="com.softslate.commerce.businessobjects.order.OrderItem" %>
<%@ page import="java.util.Collection,java.util.Iterator,java.util.ArrayList,java.util.Map,java.util.HashMap" %>
<!-- Start ${pageScope.sscCurrentPage} -->
<c:if test="${settings.map.insertGenericTracking eq '1'}">
	<!-- Generic Tracking code -->
	<c:choose>
		<c:when test="${pageTitleShort eq 'thankYou'}">
			<c:out escapeXml="false" value="${settings.map.genericTrackingOrder}"/>
		</c:when>
		<c:otherwise>
			<c:out escapeXml="false" value="${settings.map.genericTrackingNormal}"/>
		</c:otherwise>
	</c:choose>
</c:if>
<c:if test="${settings.map.insertGoogleAnalytics eq '1'}">
	<!-- Google -->
	<c:set var="googleAnalyticsCode" value="${settings.map.googleAnalyticsCode}"/>
	<c:set var="googleAffiliation" value="${settings.map.storeName}"/>
	<c:out value="${googleAnalyticsCode}" escapeXml="false"/>
	<% 
		String pageTitleShort2 = (String) request.getAttribute("pageTitleShort");
		String googleAnalyticsCode = (String) pageContext.getAttribute("googleAnalyticsCode");
		String googleAffiliation = (String) pageContext.getAttribute("googleAffiliation");
		boolean isPageTrackerGoogleCode = (googleAnalyticsCode != null && googleAnalyticsCode.contains("pageTracker"));
		boolean isGAQGoogleCode = (googleAnalyticsCode != null && googleAnalyticsCode.contains("_gaq"));
		boolean isAnalyticsJsGoogleCode = (googleAnalyticsCode != null && googleAnalyticsCode.contains("GoogleAnalyticsObject"));
		StringBuffer orderInfo = new StringBuffer("");
		synchronized (session) {
			if (pageTitleShort2 != null && pageTitleShort2.equals("thankYou") && googleAnalyticsCode != null && googleAnalyticsCode.length () > 0) { 
				User user = (User) request.getAttribute("user");
				Order order = user.getOrder();
				if (order != null) {
					
					// Legacy GA integrations
					if (isPageTrackerGoogleCode || isGAQGoogleCode) {
						
					// START ORDER INFO
					orderInfo.append("<script type=\"text/javascript\">\n");
						if (isPageTrackerGoogleCode) {
						orderInfo.append("pageTracker._addTrans(");
						} else if (isGAQGoogleCode) {
					orderInfo.append("_gaq.push([\"_addTrans\",");
					}
					// Order Number
					if (order.getOrderNumber() != null){
						orderInfo.append("\"" + order.getOrderNumber() + "\",");
					}else{
						orderInfo.append("\"\",");
					}
					// Affiliation
					if (googleAffiliation != null){
						orderInfo.append("\"" + googleAffiliation + "\",");
					}else{
						orderInfo.append("\"\",");
					}
					// Total
					if (order.getTotal() != null){
						orderInfo.append("\"" + order.getTotal().toString() + "\",");
					}else{
						orderInfo.append("\"0.00\",");
					}
					// Tax
					if (order.getTax() != null){
						orderInfo.append("\"" + order.getTax().toString() + "\",");
					}else{
						orderInfo.append("\"0.00\",");
					}
					// Shipping
					if (order.getShipping() != null){
						orderInfo.append("\"" + order.getShipping().toString() + "\",");
					}else{
						orderInfo.append("\"0.00\",");
					}
					// City
					if (order.getCity() != null){
						orderInfo.append("\"" + order.getCity().replaceAll("'", "\\\\'").replaceAll("\"", "\\\\\"") + "\",");
					}else{
						orderInfo.append("\"\",");
					}
					// State
					if (order.getState() != null){
						orderInfo.append("\"" + order.getState().replaceAll("'", "\\\\'").replaceAll("\"", "\\\\\"") + "\",");
					}else{
						orderInfo.append("\"\",");
					}
					// Country
					if (order.getCountry() != null){
						orderInfo.append("\"" + order.getCountry().replaceAll("'", "\\\\'").replaceAll("\"", "\\\\\"") + "\"");
					}else{
						orderInfo.append("\"\"");
					}
						if (isPageTrackerGoogleCode) {
						orderInfo.append(");");
						} else if (isGAQGoogleCode) {
						orderInfo.append("]);");
					}
					
					// START ITEM INFO
					Map<String,Map<String,Object>> gItems = new HashMap<String,Map<String,Object>>();
					Collection orderDeliveries = order.getOrderDeliveryCollection();
					if (orderDeliveries != null && orderDeliveries.size() > 0){
						Iterator i = orderDeliveries.iterator();
						while (i.hasNext()){
							OrderDelivery orderDelivery = (OrderDelivery) i.next();
							Collection orderItems = orderDelivery.getOrderItemCollection();
							if (orderItems != null && orderItems.size() > 0){
								Iterator j = orderItems.iterator();
								while (j.hasNext()){
									OrderItem orderItem = (OrderItem) j.next();
									// Build duplicates etc
									if (orderItem != null && orderItem.getCode() != null){
										if (gItems.containsKey(orderItem.getCode())){
											Map gItem = gItems.get(orderItem.getCode());
											if (orderItem.getTotal() != null){
												Double total = ((Double) gItem.get("total")).doubleValue() + orderItem.getTotal().doubleValue();
												gItem.put("total", total);
											}
											if (orderItem.getQuantity() > 0){
												Integer quantity = ((Integer) gItem.get("quantity")).intValue() + orderItem.getQuantity();
												gItem.put("quantity", quantity);
											}
										}else{
											Map gItem = new HashMap();
											gItem.put("code",orderItem.getCode());
											gItem.put("name",orderItem.getName());
											if (orderItem.getTotal() != null){
												gItem.put("total",orderItem.getTotal());
											}else{
												gItem.put("total",new Double(0));
											}
											gItem.put("quantity",new Integer(orderItem.getQuantity()));
											gItems.put(orderItem.getCode(),gItem);
										}
									}
								}
								if (gItems != null){
									Iterator k = gItems.entrySet().iterator();
								    while (k.hasNext()) {
								        Map.Entry pairs = (Map.Entry)k.next();
								       	String gCode = (String) pairs.getKey();
								       	Map<String,Object> gValue = (Map<String,Object>) pairs.getValue();
								        if (gCode != null){
								        	// Add order item
											orderInfo.append("\n");
												if (isPageTrackerGoogleCode) {
												orderInfo.append("pageTracker._addItem(");
												} else if (isGAQGoogleCode) {
											orderInfo.append("_gaq.push([\"_addItem\",");
											}
											// Order Number
											if (order.getOrderNumber() != null){
												orderInfo.append("\"" + order.getOrderNumber() + "\",");
											}else{
												orderInfo.append("\"\",");
											}
											// Code
											if (gValue.get("code") != null){
												orderInfo.append("\"" + gValue.get("code").toString().replaceAll("'", "\\\\'").replaceAll("\"", "\\\\\"") + "\",");
											}else{
												orderInfo.append("\"\",");
											}
											// Name
											if (gValue.get("name") != null){
												orderInfo.append("\"" + gValue.get("name").toString().replaceAll("'", "\\\\'").replaceAll("\"", "\\\\\"") + "\",");
											}else{
												orderInfo.append("\"\",");
											}
											// Category - Not available unless we query the product itself.  We could substitute something else here?
											orderInfo.append("\"\",");
											
											int gQuantity = 0;
											if (gValue.get("quantity") != null){
												gQuantity = ((Integer) gValue.get("quantity")).intValue();
											}
											double gUnitPrice = 0.00;
											if (gValue.get("total") != null){
												double gTotal = ((Double) gValue.get("total")).doubleValue();
												if (gQuantity > 0){
													gUnitPrice = gTotal / gQuantity;
												}
											}
											gUnitPrice = gUnitPrice * 100;
											gUnitPrice = Math.round(gUnitPrice);
											gUnitPrice = gUnitPrice / 100;
											// Price
											if (gUnitPrice > 0){
												orderInfo.append("\"" + Double.toString(gUnitPrice) + "\",");
											}else{
												orderInfo.append("\"0.00\",");
											}
											// Quantity
											if (gQuantity > 0){
												orderInfo.append("\"" + Integer.toString(gQuantity) + "\"");
											}else{
												orderInfo.append("\"0\"");
											}
												if (isPageTrackerGoogleCode) {
												orderInfo.append(");");
												} else if (isGAQGoogleCode) {
												orderInfo.append("]);");
											}
										} // end gCode
									} // gItems has next 
								} // end gItems null
							} // end orderItems null
						} // end deliveries has next
						orderInfo.append("\n");
					} // end order deliveries null
						if (isPageTrackerGoogleCode) {
						orderInfo.append("pageTracker._trackTrans();");
						} else if (isGAQGoogleCode) {
						orderInfo.append("_gaq.push([\"_trackTrans\"]);");
					}
					orderInfo.append("\n");
					orderInfo.append("</script>");
	
					// Analytics.js integration
					} else if (isAnalyticsJsGoogleCode) {
						
						// START ORDER INFO
						orderInfo.append("<script type=\"text/javascript\">\n");
						orderInfo.append("ga('require', 'ecommerce');\n");
						orderInfo.append("ga('ecommerce:addTransaction', {");
						
						// Order Number
						if (order.getOrderNumber() != null){
							orderInfo.append("'id': '" + order.getOrderNumber() + "',");
						}
						// Affiliation
						if (googleAffiliation != null){
							orderInfo.append("'affiliation': '" + googleAffiliation + "',");
						}
						// Total
						if (order.getTotal() != null){
							orderInfo.append("'revenue': '" + order.getTotal().toString() + "',");
						}else{
							orderInfo.append("'revenue': '0.00',");
						}
						// Tax
						if (order.getTax() != null){
							orderInfo.append("'tax': '" + order.getTax().toString() + "',");
						}else{
							orderInfo.append("'tax': '0.00',");
						}
						// Shipping
						if (order.getShipping() != null){
							orderInfo.append("'shipping': '" + order.getShipping().toString() + "'");
						}else{
							orderInfo.append("'shipping': '0.00'");
						}
						orderInfo.append("});");
						
						// START ITEM INFO
						Map<String,Map<String,Object>> gItems = new HashMap<String,Map<String,Object>>();
						Collection orderDeliveries = order.getOrderDeliveryCollection();
						if (orderDeliveries != null && orderDeliveries.size() > 0){
							Iterator i = orderDeliveries.iterator();
							while (i.hasNext()){
								OrderDelivery orderDelivery = (OrderDelivery) i.next();
								Collection orderItems = orderDelivery.getOrderItemCollection();
								if (orderItems != null && orderItems.size() > 0){
									Iterator j = orderItems.iterator();
									while (j.hasNext()){
										OrderItem orderItem = (OrderItem) j.next();
										// Build duplicates etc
										if (orderItem != null && orderItem.getCode() != null){
											if (gItems.containsKey(orderItem.getCode())){
												Map gItem = gItems.get(orderItem.getCode());
												if (orderItem.getTotal() != null){
													Double total = ((Double) gItem.get("total")).doubleValue() + orderItem.getTotal().doubleValue();
													gItem.put("total", total);
												}
												if (orderItem.getQuantity() > 0){
													Integer quantity = ((Integer) gItem.get("quantity")).intValue() + orderItem.getQuantity();
													gItem.put("quantity", quantity);
												}
											}else{
												Map gItem = new HashMap();
												gItem.put("code",orderItem.getCode());
												gItem.put("name",orderItem.getName());
												if (orderItem.getTotal() != null){
													gItem.put("total",orderItem.getTotal());
												}else{
													gItem.put("total",new Double(0));
												}
												gItem.put("quantity",new Integer(orderItem.getQuantity()));
												gItems.put(orderItem.getCode(),gItem);
											}
										}
									}
									if (gItems != null){
										Iterator k = gItems.entrySet().iterator();
									    while (k.hasNext()) {
									        Map.Entry pairs = (Map.Entry)k.next();
									       	String gCode = (String) pairs.getKey();
									       	Map<String,Object> gValue = (Map<String,Object>) pairs.getValue();
									        if (gCode != null){
									        	// Add order item
												orderInfo.append("\n");
									        	orderInfo.append("ga('ecommerce:addItem', {");
									        	
												// Order Number
												if (order.getOrderNumber() != null){
													orderInfo.append("'id': '" + order.getOrderNumber() + "',");
												}
												
												// Code
												if (gValue.get("code") != null){
													orderInfo.append("'sku': '" + gValue.get("code").toString().replaceAll("'", "\\\\'").replaceAll("\"", "\\\\\"") + "',");
												}
												// Name
												if (gValue.get("name") != null){
													orderInfo.append("'name': '" + gValue.get("name").toString().replaceAll("'", "\\\\'").replaceAll("\"", "\\\\\"") + "',");
												}
												
												int gQuantity = 0;
												if (gValue.get("quantity") != null){
													gQuantity = ((Integer) gValue.get("quantity")).intValue();
												}
												double gUnitPrice = 0.00;
												if (gValue.get("total") != null){
													double gTotal = ((Double) gValue.get("total")).doubleValue();
													if (gQuantity > 0){
														gUnitPrice = gTotal / gQuantity;
													}
												}
												gUnitPrice = gUnitPrice * 100;
												gUnitPrice = Math.round(gUnitPrice);
												gUnitPrice = gUnitPrice / 100;
												// Price
												if (gUnitPrice > 0){
													orderInfo.append("'price': '" + Double.toString(gUnitPrice) + "',");
												}else{
													orderInfo.append("'price': '0.00',");
												}
												// Quantity
												if (gQuantity > 0){
													orderInfo.append("'quantity': '" + Integer.toString(gQuantity) + "'");
												}else{
													orderInfo.append("'quantity': '0'");
												}
												orderInfo.append("});");
											} // end gCode
										} // gItems has next 
									} // end gItems null
								} // end orderItems null
							} // end deliveries has next
							orderInfo.append("\n");
							orderInfo.append("ga('ecommerce:send');");
							orderInfo.append("\n");
							orderInfo.append("</script>");
						} // end order deliveries null
					} // end else if isAnalyticsJsGoogleCode
	%>
<%= orderInfo %>
	<%
				} // end if order not null
			} // end if google code
		} // end session
	%>
</c:if>
<!-- End ${pageScope.sscCurrentPage} -->
