<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>
<!-- Start ${pageScope.sscCurrentPage} -->
<%-- Only used when address book is turned off for backwards compatibility with templates --%>
<div class="col-xs-12">
	<p class="instructions"><bean:message key="accountAddresses.instructions" bundle="/customer"/></p>
</div>
<form id="addressesForm" class="centeredForm form-horizontal" name="addressesForm" action="<%=response.encodeURL(pageContext.getAttribute("secureURL") + "/UpdateAddresses.do")%>" method="post">
	<%--Cross-site request forgery token--%>
	<html:hidden name="addressForm" property="csrfToken" value="${sessionScope.csrfToken}"/>
	<div class="col-md-6">
		<div id="billingAddressFields" class="panel panel-primary">
			<div class="panel-heading">
				<h3 class="panel-title"><bean:message key="orderForm.billingHeadline" bundle="/order"/></h3>
			</div>
			<div class="panel-body">
				<ssc:insert page="/WEB-INF/layouts/default-html5/order/billingFormGuts.jsp"/>
			</div>
		</div>
	</div>
	<div class="col-md-6">
		<div id="deliveryAddressFields" class="panel panel-primary">
			<div class="panel-heading">
				<h3 class="panel-title"><bean:message key="orderForm.deliveryHeadline" bundle="/order"/></h3>
				<div class="checkbox panelHeadingCheckbox">
					<label id="deliveryUseBillingLabel" for="deliveryUseBilling" class="plain">
						<html:checkbox styleId="deliveryUseBilling" styleClass="checkbox" name="addressForm" property="deliveryUseBilling" onclick="javascript:deliverToBillingAddress()"/>
						<bean:message key="orderForm.deliveryUseBilling" bundle="/order"/>
					</label>
				</div>
			</div>
			<div class="panel-body">
				<ssc:insert page="/WEB-INF/layouts/default-html5/order/deliveryFormGuts.jsp" />
			</div>
		</div>
	</div>
	<div class="text-center">
		<span id="accountAddressesButton" class="buttonWrap">
			<input type="submit" class="btn btn-primary" value="<bean:message key="accountAddresses.button" bundle="/customer"/>">
		</span>
	</div>
</form>
<!-- End ${pageScope.sscCurrentPage} -->