<%@ include file="/WEB-INF/layouts/default-xhtml/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-xhtml/core/commonVariables.jsp" %>
<!-- Start orderFormLayout.jsp -->
<script language="JavaScript" type="text/javascript">
	<!--
		var submitcount=0;
		function checkSubmitOnce() {
		      if (submitcount == 0) {
		          submitcount++;
		      	  return true;
		      } else {
		          alert("<bean:message key="checkout.submitOnce" bundle="/order"/>");
		      	  return false;
		      }
		}
	//-->
</script>
<h1><bean:message key="orderForm.headline" bundle="/order" /></h1>
<p class="instructions"><bean:message key="orderForm.instructions" bundle="/order" /></p>

<%--Checkout coupon form--%>
<c:if test="${settings.map.applyDiscounts eq 1}">
	<form action="<%=response.encodeURL(pageContext.getAttribute("secureURL") + "/OrderFormCoupon.do")%>" method="post">
		<tiles:insert attribute="couponFormGuts" />
	</form>
</c:if>

<%--Product, address, shipping and payment form--%>
<form id="addressesForm" name="addressesForm" class="centeredForm" method="post" action="<%=response.encodeURL(pageContext.getAttribute("secureURL") + "/OrderProcess.do")%>" onsubmit="return checkSubmitOnce()">

	<%--Products--%>
	<tiles:insert attribute="productList" />
	
	<%--Addresses--%>
	<c:if var="displayDontSaveCheckbox" scope="request" test="${!empty sessionScope.user.customer}"/>
	<tiles:insert attribute="billingFormGuts" />
	<tiles:insert attribute="deliveryFormGuts" />
	<br/>
	
	<%--Shipping--%>
	<c:if test="${settings.map.shippingRequired eq '1'}">
		<tiles:insert attribute="shippingForm" />
		<br/>
	</c:if>
	
	<%--Payment--%>
	<c:if test="${settings.map.paymentRequired eq '1'}">
		<tiles:insert attribute="paymentForm"/>
	</c:if>
	
	<%--Submit button--%>
	<div id="orderFormButton" class="checkoutButtonContainer">
		<c:if test="${displayCheckoutConfirm eq '0'}">
			<input id="paymentSubmit" type="submit" class="button" value="<bean:message key="paymentForms.button" bundle="/order"/>" />
		</c:if>
		<c:if test="${displayCheckoutConfirm eq '1'}">
			<input id="paymentSubmit" type="submit" class="button" value="<bean:message key="paymentForms.continueButton" bundle="/order"/>" />
		</c:if>
	</div>

</form>

<!-- End orderFormLayout.jsp -->
