<%@ include file="/WEB-INF/layouts/default-xhtml/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-xhtml/core/commonVariables.jsp" %>
<!-- Start attribute-yesNo.jsp -->
<%-- Display the attribute as a checkbox. --%>
<div id="<c:out value="${cssIDName}" />" class="yesNo attribute<c:if test="${attribute.attributeIsRequired}"> required</c:if>">
	<%-- Checkbox. --%>
	<c:if test="${! denyPurchase and (! trackAttribute or attrSku.inventoryLevel gt 0)}">
		<input id="<c:out value="${parameterName}" />" type="checkbox" name="<c:out value="${parameterName}" />" class="attributeyesnoinput" value="yes"
		<c:if test="${!empty parameterValue}"> checked="checked"</c:if>/>
	</c:if>
	<%-- Attribute name. --%>
	<label for="<c:out value="${parameterName}" />" class="name">
		<c:out value="${attribute.attributeName}" escapeXml="false" />
	</label>
	<%-- Attribute price. --%>
	<c:if test="${!empty attribute.attributeUnitPrice && attribute.attributeUnitPrice > 0}">
		<span class="price">
			+<fmt:formatNumber type="currency" currencyCode="${currencyCode}">
				<c:out value="${attribute.attributeUnitPrice}" />
			</fmt:formatNumber>
		</span>
	</c:if>
	<%-- Attribute inventory. --%>
	<c:if test="${trackAttribute}">
		<span class="inventory">
			<c:out value="${attrSku.inventoryLevel}"/> 
			<bean:message key="product.inventoryLevelCompact" bundle="/product"/>
		</span>
	</c:if>
	<c:if test="${empty forceCompact or forceCompact ne true}">
		<%-- Attribute image. --%>
		<c:if test="${!empty attribute.attributeSmallImage}">
			<span class="image">
				<c:choose>
					<c:when test="${!empty attribute.attributeLargeImage}">
						<a onclick="window.open('<c:out value="${attribute.attributeLargeImage}"/>','Zoom','height=400,width=500,scrollbars=yes')" href="#">
							<img src="<c:out value="${attribute.attributeSmallImage}"/>"
							<c:if test="${!empty attribute.attributeName}"> title="<c:out value="${attribute.attributeName}"/>" alt="<c:out value="${attribute.attributeName}"/>"</c:if> />
						</a>
					</c:when>
					<c:otherwise>
						<img src="<c:out value="${attribute.attributeSmallImage}"/>"
						<c:if test="${!empty attribute.attributeName}"> title="<c:out value="${attribute.attributeName}"/>" alt="<c:out value="${attribute.attributeName}"/>"</c:if> />
					</c:otherwise>
				</c:choose>
			</span>
		</c:if>
		<%-- Attribute description. --%>
		<span class="description">
			<c:out value="${attribute.attributeDescription}" escapeXml="false" />
		</span>
	</c:if>
</div>
<!-- End attribute-yesNo.jsp -->
