<%@ include file="/WEB-INF/layouts/default-xhtml/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-xhtml/core/commonVariables.jsp" %>
<!-- Start sortByLinks.jsp -->
<c:set var="sort" value="${searchList.sortBy}"/>
<div class="sortByLinks">
	<bean:message key="advancedSearch.sortBy" bundle="/product"/>: 
	<c:if test="${pageTitleKey eq 'page.searchResults'}">
		<c:choose>
			<c:when test="${sort eq 'score'}">
				<bean:message key="advancedSearch.score" bundle="/product"/>
			</c:when>
			<c:otherwise>
				<html:link href="${customerURL}${linkBase}sortBy=score${facetsParam}" styleClass="sortBy"><bean:message key="advancedSearch.score" bundle="/product"/></html:link>
			</c:otherwise>
		</c:choose>
		 | 
	</c:if>
	<c:choose>
		<c:when test="${sort eq 'priceDesc'}">
			<bean:message key="advancedSearch.priceDesc" bundle="/product"/>
		</c:when>
		<c:otherwise>
			<html:link href="${customerURL}${linkBase}sortBy=priceDesc${facetsParam}" styleClass="sortBy"><bean:message key="advancedSearch.priceDesc" bundle="/product"/></html:link>
		</c:otherwise>
	</c:choose>
	 | 
	<c:choose>
		<c:when test="${sort eq 'priceAsc'}">
			<bean:message key="advancedSearch.priceAsc" bundle="/product"/>
		</c:when>
		<c:otherwise>
			<html:link href="${customerURL}${linkBase}sortBy=priceAsc${facetsParam}" styleClass="sortBy"><bean:message key="advancedSearch.priceAsc" bundle="/product"/></html:link>
		</c:otherwise>
	</c:choose>
	 | 
	<c:choose>
		<c:when test="${sort eq 'nameAsc'}">
			<bean:message key="advancedSearch.nameAsc" bundle="/product"/>
		</c:when>
		<c:otherwise>
			<html:link href="${customerURL}${linkBase}sortBy=nameAsc${facetsParam}" styleClass="sortBy"><bean:message key="advancedSearch.nameAsc" bundle="/product"/></html:link>
		</c:otherwise>
	</c:choose>
	 | 
	<c:choose>
		<c:when test="${sort eq 'nameDesc'}">
			<bean:message key="advancedSearch.nameDesc" bundle="/product"/>
		</c:when>
		<c:otherwise>
			<html:link href="${customerURL}${linkBase}sortBy=nameDesc${facetsParam}" styleClass="sortBy"><bean:message key="advancedSearch.nameDesc" bundle="/product"/></html:link>
		</c:otherwise>
	</c:choose>
</div>
<!-- End sortByLinks.jsp -->
