package com.softslate.commerce.administrator.product;

import javax.servlet.http.HttpServletRequest;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionMessage;
import org.apache.struts.action.ActionMessages;

import com.softslate.commerce.customer.core.BaseForm;

/**
 * @author David Tobey
 * 
 */
public class ProductCloneForm extends BaseForm {

	private static final long serialVersionUID = -1192884348886565423L;

	static Log log = LogFactory.getLog(ProductCloneForm.class);

	public String productID = null;

	public String cloneAttributes = "none";

	public String cloneCategories = "none";

	public String cloneRelatedProducts = "none";

	public String codePrefix = "CLONED-";

	public String getCloneAttributes() {
		return cloneAttributes;
	}

	public void setCloneAttributes(String cloneAttributes) {
		this.cloneAttributes = cloneAttributes;
	}

	public String getCloneCategories() {
		return cloneCategories;
	}

	public void setCloneCategories(String cloneCategories) {
		this.cloneCategories = cloneCategories;
	}

	public String getProductID() {
		return productID;
	}

	public void setProductID(String productID) {
		this.productID = productID;
	}

	public String getCodePrefix() {
		return codePrefix;
	}

	public void setCodePrefix(String codePrefix) {
		this.codePrefix = codePrefix;
	}

	public String getCloneRelatedProducts() {
		return cloneRelatedProducts;
	}

	public void setCloneRelatedProducts(String cloneRelatedProducts) {
		this.cloneRelatedProducts = cloneRelatedProducts;
	}

	public ActionErrors validate(ActionMapping mapping,
			HttpServletRequest request) {
		if (log.isDebugEnabled())
			log.debug("Starting validation.");
		initializeProperties(mapping, request);
		if (getProductID() == null || getProductID().equals("")) {
			getErrors().add(ActionMessages.GLOBAL_MESSAGE,
					new ActionMessage("errors.required", "Product"));
		}
		return getErrors();
	}

}
