package com.softslate.commerce.businessobjects.core;

import java.util.Map;

import org.apache.commons.beanutils.PropertyUtils;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

/**
 * Abstract superclass for all objects in the business layer.
 * 
 * @author David Tobey
 */
public abstract class BaseBusinessObject implements BusinessObject {

    static Log log = LogFactory.getLog(BaseBusinessObject.class);

    public void initialize(Map transferMap) throws Exception {
        PropertyUtils.copyProperties(this, transferMap);
        return;
    }
}
