<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>
<%@ page import="com.softslate.commerce.businessobjects.product.LuceneFacetHelper" %>
<!-- Start ${pageScope.sscCurrentPage} -->
<div id="${facetTopGroup.facetName}" class="facetGroup panel panel-default">
	<c:set var="topFacetPath" value="${facetTopGroup.facetName}"/>
	<div class="panel-heading">
		<h5 class="facetResultHeading panel-title"><bean:message key="product.averageCustomerReview" bundle="/product"/></h5>
	</div>
	<ul class="facetList panel-body">
		<c:forEach var="facet" items="${facetTopGroup.subResults}">
			<c:set var="facetPath" value="${facet.facetName}"/>
			<%
				String facetPath = pageContext.getAttribute("facetPath").toString();
				String[] labelParts = facetPath.split("\\" + Character.toString(LuceneFacetHelper.FACET_SEPARATOR));
				if (labelParts.length == 3) {
					pageContext.setAttribute("facetName", labelParts[2]);
				}
				pageContext.setAttribute("facetPathSurrounded", "," + facetPath + ",");
			%>
			<li id="${facetPath}" class="facet">
				<label class="facetNameAndCount" for="checkbox-${facetPath}">
					<input type="checkbox" class="drilldown" name="facets" value="${facetPath}" id="checkbox-${facetPath}" <c:if test="${fn:contains(incomingFacets, facetPathSurrounded)}">checked="checked"</c:if>/>
					<span class="facetName">
						<c:forEach var="i" begin="1" end="${fn:substringBefore(facetName, '.')}" step="1">
							<img class="facetRatingImage" src="${pageContext.request.contextPath}/images/reviewStar.jpg" alt="star"/>
						</c:forEach>
						<c:if test="${!fn:endsWith(facetName, '.0')}">
							<img class="facetRatingImage" src="${pageContext.request.contextPath}/images/reviewHalfStar.png" alt="half-star"/>
						</c:if>
					</span>
					<span class="badge facetCount"><fmt:formatNumber maxFractionDigits="0" value="${facet.facetValue}"/></span>
				</label>
			</li>
		</c:forEach>
	</ul>
</div>
<!-- End ${pageScope.sscCurrentPage} -->
