<%@ include file="/WEB-INF/layouts/default-xhtml/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-xhtml/core/commonVariables.jsp" %>

<%--Emailer add subscriber opt-in prompt--%>
<%
	java.util.Properties appComponents = (java.util.Properties) application.getAttribute("appComponents");
	String emailerProcessorImplementer = appComponents.getProperty("emailerProcessorImplementer");
	pageContext.setAttribute("emailerProcessorImplementer", emailerProcessorImplementer);
%>
<c:if test="${(settings.map.emailerCheckout eq 'subscribeOptIns' and fn:endsWith(emailerProcessorImplementer, 'EmailerProcessor'))
	 or (settings.map.constantContactCheckout eq 'subscribeOptIns' and fn:endsWith(emailerProcessorImplementer, 'ConstantContactProcessor'))
	 or (settings.map.mailChimpCheckout eq 'subscribeOptIns' and fn:endsWith(emailerProcessorImplementer, 'MailChimpProcessor'))}">
	<br/><br/>
	<div class="addressFormExtraPrompts">
		<label for="emailerOptInApproval">
			<c:choose>
				<c:when test="${settings.map.emailerCheckout eq 'subscribeOptIns' and fn:endsWith(emailerProcessorImplementer, 'EmailerProcessor')}">
					<c:out value="${settings.map.emailerCheckoutOptInPrompt}"/>:
				</c:when>
				<c:when test="${settings.map.constantContactCheckout eq 'subscribeOptIns' and fn:endsWith(emailerProcessorImplementer, 'ConstantContactProcessor')}">
					<c:out value="${settings.map.constantContactCheckoutOptInPrompt}"/>:
				</c:when>
                <c:when test="${settings.map.mailChimpCustomerRegistration eq 'subscribeOptIns' and fn:endsWith(emailerProcessorImplementer, 'MailChimpProcessor')}">
                    <c:out value="${settings.map.mailChimpCheckoutOptInPrompt}"/>:
                </c:when>
			</c:choose>
		</label>
		<html:radio name="addressForm" property="emailerOptInApproval" styleId="emailerOptInApprovalYes" value="Yes"/>
		 <label for="emailerOptInApprovalYes"><bean:message key="general.yesLabel"/></label>
		<html:radio name="addressForm" property="emailerOptInApproval" styleId="emailerOptInApprovalNo" value="No"/>
		 <label for="emailerOptInApprovalNo"><bean:message key="general.noLabel"/></label>
	</div>
</c:if>
