<%@ include file="/WEB-INF/layouts/default-xhtml/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-xhtml/core/commonVariables.jsp" %>

<!-- Start submitProductReview.jsp -->
<h1 class="name pageTitle"><c:out value="${product.name}" escapeXml="false"/></h1>

<h2><bean:message key="product.submitYourReview" bundle="/product"/></h2>
<div id="productReviewSubmission">
	<form name="productReviewForm" action="<%=response.encodeURL(pageContext.getAttribute("secureURL") + "/ProductReviewProcess.do")%>" method="POST" enctype="multipart/form-data">
		<html:hidden name="productReviewForm" property="code"/>
		
		<label for="nickname"><bean:message key="product.nickname" bundle="/product"/></label><br />
		<input type="text" name="nickname" value="${productReviewForm.firstName}" class="textbox"/><br />
		
		<label for="rating"><bean:message key="product.rating" bundle="/product"/></label><br />
		<html:select styleClass="selectbox" name="productReviewForm" property="rating">
			<html:option value="5"><bean:message key="product.reviewRating5" bundle="/product"/></html:option>
			<html:option value="4"><bean:message key="product.reviewRating4" bundle="/product"/></html:option>
			<html:option value="3"><bean:message key="product.reviewRating3" bundle="/product"/></html:option>
			<html:option value="2"><bean:message key="product.reviewRating2" bundle="/product"/></html:option>
			<html:option value="1"><bean:message key="product.reviewRating1" bundle="/product"/></html:option>
		</html:select><br />
		
		<label for="review"><bean:message key="product.review" bundle="/product"/></label><br />
		<html:textarea name="productReviewForm" property="review" styleClass="reviewTextarea"/><br /><br />
		
		<span id="reviewButton" class="buttonWrap"><input type="submit" name="submit" class="button" value="<bean:message key="product.submitReview" bundle="/product"/>"/></span>
	</form>
</div>
<!-- End submitProductReview.jsp -->
