package com.softslate.commerce.businessobjects.events;

import java.util.Map;

import com.softslate.commerce.businessobjects.core.BaseBusinessObject;
import com.softslate.commerce.businessobjects.core.BusinessProcessor;
import com.softslate.commerce.businessobjects.core.Setting;

public class ChangingSettingEventImpl extends BaseBusinessObject implements ChangingSettingEvent {

	private BusinessProcessor businessProcessor;
	private Setting setting;
	private Map incomingParameters;
	private Map results;

	public BusinessProcessor getBusinessProcessor() {
		return businessProcessor;
	}

	public void setBusinessProcessor(BusinessProcessor businessProcessor) {
		this.businessProcessor = businessProcessor;
	}

	public Setting getSetting() {
		return setting;
	}

	public void setSetting(Setting setting) {
		this.setting = setting;
	}

	public Map getIncomingParameters() {
		return incomingParameters;
	}

	public void setIncomingParameters(Map incomingParameters) {
		this.incomingParameters = incomingParameters;
	}

	public Map getResults() {
		return results;
	}

	public void setResults(Map results) {
		this.results = results;
	}

}