package com.softslate.commerce.daos.order;

import java.util.Map;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

import com.softslate.commerce.businessobjects.core.BusinessObjectFactory;
import com.softslate.commerce.daos.core.BaseAdminGatewayDAOHibernate;


/**
 * Generic DAO that runs miscellaneous queries related to countries.
 * 
 * @author David Tobey
 */
public class CountryGatewayDAOHibernate extends BaseAdminGatewayDAOHibernate
        implements CountryGatewayDAO {

    static Log log = LogFactory.getLog(CountryGatewayDAOHibernate.class);

    public Map loadCountriesAndCount(Map parameters) throws Exception {
        return loadItemsAndCount(parameters);
    }

    public Map editDeleteCountries(Map parameters, BusinessObjectFactory bof)
            throws Exception {
		return editDeleteItems(parameters, bof);
    }
}
