<%@ include file="/WEB-INF/layouts/default-xhtml/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-xhtml/core/commonVariables.jsp" %>

<!-- Start settingsStyles.jsp -->
<c:set var="rowClass" value="row"/>
<c:set var="altRowClass" value="altRow"/>

<br/>

<html:form action="/SettingsProcessStyles" method="post">
	<table class="settingsTable">
		<c:set var="displayLegacyMessage" value="true"/>
		<logic:iterate name="administratorSettings" id="settingRow" indexId="index">
			<c:choose>
				<c:when test="${thisClass eq altRowClass}"><c:set var="thisClass" scope="request" value="${rowClass}"/></c:when>
				<c:otherwise><c:set var="thisClass" scope="request" value="${altRowClass}"/></c:otherwise>
			</c:choose>
			<logic:match name="settingRow" property="type" value="STYLE">
				<c:set var="setting" value="${settingRow}" scope="request"/>
				<ssc:insert page="/WEB-INF/templates/administrator/default/core/setting.jsp" flush="false"/>
			</logic:match>
		</logic:iterate>
	</table>
	<c:choose>
		<c:when test="${displayLegacyMessage eq 'true'}">
			<div class="instructions">
				No settings to define. This screen serves as a placeholder for the legacy Styles settings for upgraded stores.
			</div>
		</c:when>
		<c:otherwise>
			<logic:present role="superuser,administrator,settingsEdit,settingsStylesEdit">
				<div class="saveSettings">
					<input type="submit" class="button" value="Save Settings"/>
				</div>
			</logic:present>
		</c:otherwise>
	</c:choose>
</html:form>
<!-- End settingsStyles.jsp -->
