<%@ include file="/WEB-INF/layouts/default-xhtml/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-xhtml/core/commonVariables.jsp" %>
<!-- Start paymentForms.jsp -->
<%
	java.util.Properties appComponents = (java.util.Properties) application.getAttribute("appComponents");
	String activePaymentFormTemplates = appComponents.getProperty("activePaymentFormTemplates");
	pageContext.setAttribute("activePaymentForms", activePaymentFormTemplates);
%>
<bean:define id="authorizeDPMURL" name="settings" property="value(authorizeNetDPMURL)"/>
<script language="JavaScript" type="text/javascript">
	<!--
		var submitcount=0;
		function checkSubmitOnce() {
		      if (submitcount == 0) {
		          submitcount++;
		      	  return true;
		      } else {
		          alert("<bean:message key="checkout.submitOnce" bundle="/order"/>");
		      	  return false;
		      }
		}
	//-->
</script>
<c:forTokens var="templateFile" varStatus="current" items="${activePaymentForms}" delims=",">
        <c:choose>
	        <c:when test="${fn:contains(templateFile,'authorizeNetDPMPaymentForm.jsp')}">
				<form class="centeredForm" name="checkoutPayment" action="<c:out value="${settings.map.authorizeNetDPMURL}"/>" method="post" onSubmit="return checkSubmitOnce()">
	        </c:when>
	        <c:otherwise>
				<form class="centeredForm" name="checkoutPayment" action="<c:out value="${settings.map.administratorURL}"/>/ProcessPayment.do" method="post" onsubmit="return checkSubmitOnce()">
	        </c:otherwise>
        </c:choose>
		<input type="hidden" name="submittedForm" value="checkoutPayment" />
		<input type="hidden" name="orderID" value="<c:out value="${order.orderID}"/>" />
		<input type="hidden" name="paymentFormCount" value="<c:out value="${current.count}"/>"/>
		<c:set var="thisForm" value="paymentForm${current.count}" scope="request"/>
		<% String templateFile = (String) pageContext.getAttribute("templateFile"); %>
		<tiles:insert page="<%= templateFile %>" />
		<br/>
	</form>
</c:forTokens>
<!-- End paymentForms.jsp -->
