<%@ include file="/WEB-INF/layouts/default-xhtml/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-xhtml/core/commonVariables.jsp" %>

<!-- Start basicTaxFieldColumns.jsp -->
<bean:define id="displayFieldArray" name="mainForm" property="displayFields" type="java.lang.String[]" />
<bean:define id="fieldArray" name="mainForm" property="fields" type="java.lang.String[]" />
<% java.util.Collection displayFieldCollection = java.util.Arrays.asList(displayFieldArray); %>
<logic:iterate collection="<%= fieldArray %>" id="field" type="java.lang.String">
	<% if (displayFieldCollection.contains(field)) { %>
		<td class="dataCell <c:out value="${field}"/>">
			<c:choose>
				<c:when test="${mainForm.editMode eq 'true'}">
					<c:choose>
						<c:when test="${field eq 'countryID'}">
							<c:if test="${!empty item.country}"><% ((com.softslate.commerce.businessobjects.tax.BasicTaxRate)request.getAttribute("item")).setCountryID(new Integer(((com.softslate.commerce.businessobjects.tax.BasicTaxRate)request.getAttribute("item")).getCountry().getCountryID()));%></c:if>
							<html:select name="item" property="countryID">
								<html:options collection="countries" property="countryID" labelProperty="name"/>
							</html:select>
						</c:when>
						<c:when test="${field eq 'stateID'}">
							<c:if test="${!empty item.state}"><% ((com.softslate.commerce.businessobjects.tax.BasicTaxRate)request.getAttribute("item")).setStateID(new Integer(((com.softslate.commerce.businessobjects.tax.BasicTaxRate)request.getAttribute("item")).getState().getStateID()));%></c:if>
							<c:if test="${empty item.state}"><% ((com.softslate.commerce.businessobjects.tax.BasicTaxRate)request.getAttribute("item")).setStateID(null);%></c:if>
							<html:select name="item" property="stateID">
								<option value="0">[Any]</option>
								<option value="">-------------</option>
								<html:options collection="states" property="stateID" labelProperty="name"/>
							</html:select>
						</c:when>
						<c:when test="${field eq 'isActive'}">
							<input type="hidden" name="<c:out value="${field}"/>" value="<c:out value="${item[field]}"/>"/>
							<input type="checkbox" name="dummy" <c:if test="${item[field] ne 'false'}">checked="checked"</c:if> onclick="updateCheckboxField(this, '<c:out value="${field}"/>', <c:out value="${j}"/>)"/>
						</c:when>
						<c:otherwise>
							<input type="text" name="<c:out value="${field}" />" value="<c:out value="${item[field]}" />"/>
						</c:otherwise>
					</c:choose>
				</c:when>
				<c:otherwise>
					<input type="hidden" name="<c:out value="${field}" />" value="<c:out value="${item[field]}" />" />
					<c:choose>
						<c:when test="${field eq 'countryID'}">
							<logic:iterate name="countries" id="country" indexId="i">
								<bean:define id="thisCountryID" name="country" property="countryID" type="java.lang.Integer"/>
								<bean:define id="thisStatesCountryID" name="item" property="countryID" type="java.lang.Integer"/>
								<% if (thisCountryID.equals(thisStatesCountryID)) { %>
									<bean:write name="country" property="name"/>
								<% } %>
							</logic:iterate>
						</c:when>
						<c:when test="${field eq 'stateID'}">
							<logic:empty name="item" property="stateID">
								[Any]
							</logic:empty>
							<logic:notEmpty name="item" property="stateID">
								<logic:iterate name="states" id="state" indexId="i">
									<bean:define id="thisStateID" name="state" property="stateID" type="java.lang.Integer"/>
									<bean:define id="thisRatesStateID" name="item" property="stateID" type="java.lang.Integer"/>
									<% if (thisStateID.equals(thisRatesStateID)) { %>
										<bean:write name="state" property="name"/>
									<% } %>
								</logic:iterate>
							</logic:notEmpty>
						</c:when>
						<c:when test="${field eq 'isActive'}">
							<c:choose>
								<c:when test="${item[field]}">
									yes
								</c:when>
								<c:otherwise>
									no
								</c:otherwise>
							</c:choose>
						</c:when>
						<c:otherwise>
							<c:out value="${item[field]}" />
						</c:otherwise>
					</c:choose>
				</c:otherwise>
			</c:choose>
		</td>
	<% } %>
</logic:iterate>
<!-- End basicTaxDataTable.jsp -->
